.\" $NetBSD: mvsata.4,v 1.2 2009/08/02 22:37:44 wiz Exp $
.\"
.\" Copyright (c) 2009 KIYOHARA Takashi
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
.\" DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
.\" INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
.\" (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
.\" SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
.\" ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd July 19, 2009
.Dt MVSATA 4
.Os
.Sh NAME
.Nm mvsata
.Nd Marvell Hercules-I and Hercules-II SATA controllers driver
.Sh SYNOPSIS
.Cd "mvsata* at pci? dev ? function ?"
.Sh DESCRIPTION
The
.Nm
driver supports the Marvell Hercules-I and Hercules-II family of SATA
controllers, interfacing the hardware with the
.Xr ata 4
and
.Xr atapi 4
subsystems.
.Pp
The following controllers are supported by the
.Nm
driver:
.Pp
.Bl -tag -width Ds -offset indent -compact
.It Adaptec RAID 1420SA
.It Adaptec RAID 1430SA
.It Marvell 88SX50xx Hercules-I
.It Marvell 88SX60xx Hercules-II
.It Marvell 88SX70xx Hercules-II
.It Triones Technologies RocketRAID 2310 RAID card
.El
.Pp
The 88SX60xx and later support Native Command Queuing.
The 88SX70xx also supports ATAPI.
.Sh SEE ALSO
.Xr ata 4 ,
.Xr atapi 4 ,
.Xr pci 4 ,
.Xr wd 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 6.0 .
.Sh AUTHORS
The
.Nm
driver was written by
.An KIYOHARA Takashi Aq kiyohara@kk.iij4u.or.jp .
.Sh BUGS
.Bl -tag -width Ds -compact
.It SATA Native Command Queuing is not yet supported .
.It Device hot swapping is not yet supported .
.It ATAPI is not yet tested .
.It Marvell's Software RAID is not yet supported by the
.Xr ataraid 4
driver.
.Xr raid 4
can be used instead.
.El
